## python-mbedtls 2.7.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.8
# by the following command:
#
#    pip-compile --no-annotate --resolver=backtracking setup.py
#
certifi==2023.5.7
typing-extensions==4.7.1

=== debian/changelog ===
python-mbedtls (2.7.1-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * New upstream version 2.7.1
  * Refresh patches

 -- Steev Klimaszewski <steev@kali.org>  Wed, 01 Nov 2023 20:55:11 -0500

python-mbedtls (2.5.1-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 Sep 2022 13:55:22 +0200

=== debian/control ===
Source: python-mbedtls
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 cython3,
 python3-setuptools,
 python3-all-dev,
 python3-certifi,
 python3-pytest,
 python3-pytest-repeat,
 python3-pytest-timeout,
 libmbedtls-dev
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/Synss/python-mbedtls
Vcs-Browser: https://gitlab.com/kalilinux/packages/python-mbedtls
Vcs-Git: https://gitlab.com/kalilinux/packages/python-mbedtls.git

Package: python3-mbedtls
Architecture: any
Depends:
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: Cryptographic library with Mbed TLS back end (Python 3)
 This package contains a free cryptographic library for Python that uses mbed
 TLS for back end.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=mbedtls
export PYBUILD_TEST_ARGS=-k 'not test_raw_socket'
export PYBUILD_BEFORE_TEST=cp -r {dir}/programs {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/programs

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://pypi.debian.net/python-mbedtls/python-mbedtls-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-mbedtls 2.10.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.8
# by the following command:
#
#    pip-compile --no-annotate setup.py
#
certifi==2024.2.2
typing-extensions==4.11.0

=== debian/changelog ===
python-mbedtls (2.10.1-1) unstable; urgency=medium

  * New upstream version 2.10.1

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 11 May 2024 07:24:41 -0300

python-mbedtls (2.9.2-2) unstable; urgency=medium

  * debian/control: Fix name of maintainer
  * debian/control: Added "<!nocheck>" as test dependencies

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 07 Apr 2024 00:52:57 -0300

python-mbedtls (2.9.2-1) unstable; urgency=medium

  * New upstream version 2.9.2

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 16 Mar 2024 07:57:51 -0300

python-mbedtls (2.8.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1061199)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 18 Jan 2024 22:41:14 -0300

=== debian/control ===
Source: python-mbedtls
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-all-dev,
               python3-certifi,
               python3-pytest <!nocheck>,
               python3-pytest-repeat <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-setuptools,
               libmbedtls-dev
Standards-Version: 4.6.2
Homepage: https://github.com/Synss/python-mbedtls
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mbedtls
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mbedtls.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-mbedtls
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
Description: Cryptographic library for Python with Mbed TLS backend
 mbedtls is an open source library that implements lightweight and
 efficient solutions for security protocols, including TLS (widely
 used in security between network communications)
 .
 Library Key Features:
  - TLS/SSL: Provides support for implementing the TLS/SSL protocol, which
    is widely used to ensure secure communications over the internet.
  - Cryptography: Offers a variety of cryptographic algorithms for symmetric
    and asymmetric encryption, hashing, and digital signatures
  - Network Protocol Support: Implements security protocols for secure
    communication, such as DTLS (Datagram Transport Layer Security) for
    real-time communication.
  - TLS Server and Client: Allows the creation of both secure servers and
    clients using the TLS protocol.
  - Clean and Simple C API: Features a C-language API designed to be clear,
    concise, and easy to use.

=== debian/rules ===
#!/usr/bin/make -f

# Fix hardening-no-bindnow and hardening-no-pie
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

export PYBUILD_NAME=python-mbedtls
export PYBUILD_TEST_ARGS=-k 'not test_raw_socket'
export PYBUILD_BEFORE_TEST=cp -r {dir}/programs {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/programs


%:
	dh $@ --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs --all docs/

=== debian/watch ===
version=4
https://github.com/Synss/python-mbedtls/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
